CqlNativeStorage (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop.pig

## Class CqlNativeStorage

- java.lang.Object
- - org.apache.pig.LoadFunc
  - - org.apache.cassandra.hadoop.pig.CqlNativeStorage

- All Implemented Interfaces:
    org.apache.pig.LoadMetadata, org.apache.pig.StoreFuncInterface

  Deprecated.

      @Deprecated
      public class CqlNativeStorage
      extends org.apache.pig.LoadFunc
      implements org.apache.pig.StoreFuncInterface, org.apache.pig.LoadMetadata

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `column_family` Deprecated.
    `protected org.apache.hadoop.conf.Configuration` | `conf` Deprecated.
    `protected java.lang.String` | `DEFAULT_INPUT_FORMAT` Deprecated.
    `protected java.lang.String` | `DEFAULT_OUTPUT_FORMAT` Deprecated.
    `protected java.lang.String` | `initHostAddress` Deprecated.
    `protected java.lang.String` | `inputFormatClass` Deprecated.
    `protected java.lang.String` | `keyspace` Deprecated.
    `protected java.lang.String` | `loadSignature` Deprecated.
    `protected int` | `nativeProtocolVersion` Deprecated.
    `protected java.lang.String` | `outputFormatClass` Deprecated.
    `protected java.lang.String` | `partitionerClass` Deprecated.
    `protected java.lang.String` | `password` Deprecated.
    `protected java.lang.String` | `rpcPort` Deprecated.
    `protected int` | `splitSize` Deprecated.
    `protected java.lang.String` | `storeSignature` Deprecated.
    `protected boolean` | `usePartitionFilter` Deprecated.
    `protected java.lang.String` | `username` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CqlNativeStorage()` Deprecated.
    `CqlNativeStorage(int pageSize)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static org.apache.cassandra.hadoop.pig.TableInfo` | `cfdefFromString(java.lang.String st)` Deprecated. convert string back to CfDef
    `protected static java.lang.String` | `cfdefToString(com.datastax.driver.core.TableMetadata cfDef)` Deprecated. convert CfDef to string
    `void` | `checkSchema(org.apache.pig.ResourceSchema schema)` Deprecated.
    `void` | `cleanupOnFailure(java.lang.String failure, org.apache.hadoop.mapreduce.Job job)` Deprecated.
    `void` | `cleanupOnSuccess(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated.
    `protected com.datastax.driver.core.TableMetadata` | `getCfInfo(com.datastax.driver.core.Session client)` Deprecated. return the CfInfo for the column family
    `protected org.apache.cassandra.hadoop.pig.TableInfo` | `getCfInfo(java.lang.String signature)` Deprecated. get the columnfamily definition for the signature
    `protected java.lang.String` | `getFullyQualifiedClassName(java.lang.String classname)` Deprecated. get the full class name
    `org.apache.hadoop.mapreduce.InputFormat` | `getInputFormat()` Deprecated.
    `org.apache.pig.data.Tuple` | `getNext()` Deprecated. get next row
    `org.apache.hadoop.mapreduce.OutputFormat` | `getOutputFormat()` Deprecated. output format
    `java.lang.String[]` | `getPartitionKeys(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated. return partition keys
    `static java.util.Map<java.lang.String,java.lang.String>` | `getQueryMap(java.lang.String query)` Deprecated. decompose the query to store the parameters in a map
    `org.apache.pig.ResourceSchema` | `getSchema(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated. schema: (value, value, value) where keys are in the front.
    `org.apache.pig.ResourceStatistics` | `getStatistics(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated.
    `protected java.util.Map<java.nio.ByteBuffer,AbstractType>` | `getValidatorMap(org.apache.cassandra.hadoop.pig.TableInfo cfDef)` Deprecated. get the validators
    `protected void` | `initSchema(java.lang.String signature)` Deprecated. Methods to get the column family schema from Cassandra
    `java.nio.ByteBuffer` | `nullToBB()` Deprecated.
    `protected java.nio.ByteBuffer` | `objToBB(java.lang.Object o)` Deprecated. convert object to ByteBuffer
    `void` | `prepareToRead(org.apache.hadoop.mapreduce.RecordReader reader, org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.PigSplit split)` Deprecated.
    `void` | `prepareToWrite(org.apache.hadoop.mapreduce.RecordWriter writer)` Deprecated.
    `void` | `putNext(org.apache.pig.data.Tuple t)` Deprecated. output: (((name, value), (name, value)), (value ...
    `java.lang.String` | `relativeToAbsolutePath(java.lang.String location, org.apache.hadoop.fs.Path curDir)` Deprecated.
    `java.lang.String` | `relToAbsPathForStoreLocation(java.lang.String location, org.apache.hadoop.fs.Path curDir)` Deprecated.
    `protected void` | `setConnectionInformation()` Deprecated. set hadoop cassandra connection settings
    `void` | `setLocation(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated. set read configuration settings
    `void` | `setPartitionFilter(org.apache.pig.Expression partitionFilter)` Deprecated.
    `void` | `setStoreFuncUDFContextSignature(java.lang.String signature)` Deprecated. StoreFunc methods
    `void` | `setStoreLocation(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` Deprecated. set store configuration settings
    `void` | `setUDFContextSignature(java.lang.String signature)` Deprecated.

    - ### Methods inherited from class org.apache.pig.LoadFunc

      `getAbsolutePath, getLoadCaster, getPathStrings, join, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INPUT_FORMAT

          protected java.lang.String DEFAULT_INPUT_FORMAT

      Deprecated.

    - #### DEFAULT_OUTPUT_FORMAT

          protected java.lang.String DEFAULT_OUTPUT_FORMAT

      Deprecated.

    - #### username

          protected java.lang.String username

      Deprecated.

    - #### password

          protected java.lang.String password

      Deprecated.

    - #### keyspace

          protected java.lang.String keyspace

      Deprecated.

    - #### column_family

          protected java.lang.String column_family

      Deprecated.

    - #### loadSignature

          protected java.lang.String loadSignature

      Deprecated.

    - #### storeSignature

          protected java.lang.String storeSignature

      Deprecated.

    - #### conf

          protected org.apache.hadoop.conf.Configuration conf

      Deprecated.

    - #### inputFormatClass

          protected java.lang.String inputFormatClass

      Deprecated.

    - #### outputFormatClass

          protected java.lang.String outputFormatClass

      Deprecated.

    - #### splitSize

          protected int splitSize

      Deprecated.

    - #### partitionerClass

          protected java.lang.String partitionerClass

      Deprecated.

    - #### usePartitionFilter

          protected boolean usePartitionFilter

      Deprecated.

    - #### initHostAddress

          protected java.lang.String initHostAddress

      Deprecated.

    - #### rpcPort

          protected java.lang.String rpcPort

      Deprecated.

    - #### nativeProtocolVersion

          protected int nativeProtocolVersion

      Deprecated.

  - ### Constructor Detail

    - #### CqlNativeStorage

          public CqlNativeStorage()

      Deprecated.

    - #### CqlNativeStorage

          public CqlNativeStorage(int pageSize)

      Deprecated.
      Parameters:
        `pageSize` - limit number of CQL rows to fetch in a thrift request

  - ### Method Detail

    - #### prepareToRead

          public void prepareToRead(org.apache.hadoop.mapreduce.RecordReader reader,
                                    org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.PigSplit split)

      Deprecated.
      Specified by:
        `prepareToRead` in class `org.apache.pig.LoadFunc`

    - #### prepareToWrite

          public void prepareToWrite(org.apache.hadoop.mapreduce.RecordWriter writer)

      Deprecated.
      Specified by:
        `prepareToWrite` in interface `org.apache.pig.StoreFuncInterface`

    - #### getNext

          public org.apache.pig.data.Tuple getNext()
                                            throws java.io.IOException

      Deprecated.
      get next row
      Specified by:
        `getNext` in class `org.apache.pig.LoadFunc`
      Throws:
        `java.io.IOException`

    - #### getCfInfo

          protected org.apache.cassandra.hadoop.pig.TableInfo getCfInfo(java.lang.String signature)
                                                                 throws java.io.IOException

      Deprecated.
      get the columnfamily definition for the signature
      Throws:
        `java.io.IOException`

    - #### getCfInfo

          protected com.datastax.driver.core.TableMetadata getCfInfo(com.datastax.driver.core.Session client)
                                                              throws com.datastax.driver.core.exceptions.NoHostAvailableException,
                                                                     AuthenticationException,
                                                                     java.lang.IllegalStateException

      Deprecated.
      return the CfInfo for the column family
      Throws:
        `com.datastax.driver.core.exceptions.NoHostAvailableException`
        `AuthenticationException`
        `java.lang.IllegalStateException`

    - #### objToBB

          protected java.nio.ByteBuffer objToBB(java.lang.Object o)

      Deprecated.
      convert object to ByteBuffer

    - #### getValidatorMap

          protected java.util.Map<java.nio.ByteBuffer,AbstractType> getValidatorMap(org.apache.cassandra.hadoop.pig.TableInfo cfDef)
                                                                             throws java.io.IOException

      Deprecated.
      get the validators
      Throws:
        `java.io.IOException`

    - #### getSchema

          public org.apache.pig.ResourceSchema getSchema(java.lang.String location,
                                                         org.apache.hadoop.mapreduce.Job job)
                                                  throws java.io.IOException

      Deprecated.
      schema: (value, value, value) where keys are in the front.
      Specified by:
        `getSchema` in interface `org.apache.pig.LoadMetadata`
      Throws:
        `java.io.IOException`

    - #### setPartitionFilter

          public void setPartitionFilter(org.apache.pig.Expression partitionFilter)
                                  throws java.io.IOException

      Deprecated.
      Specified by:
        `setPartitionFilter` in interface `org.apache.pig.LoadMetadata`
      Throws:
        `java.io.IOException`

    - #### putNext

          public void putNext(org.apache.pig.data.Tuple t)
                       throws java.io.IOException

      Deprecated.
      output: (((name, value), (name, value)), (value ... value), (value...value)) bulk output: ((value ... value), (value...value))
      Specified by:
        `putNext` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### setLocation

          public void setLocation(java.lang.String location,
                                  org.apache.hadoop.mapreduce.Job job)
                           throws java.io.IOException

      Deprecated.
      set read configuration settings
      Specified by:
        `setLocation` in class `org.apache.pig.LoadFunc`
      Throws:
        `java.io.IOException`

    - #### setStoreLocation

          public void setStoreLocation(java.lang.String location,
                                       org.apache.hadoop.mapreduce.Job job)
                                throws java.io.IOException

      Deprecated.
      set store configuration settings
      Specified by:
        `setStoreLocation` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### initSchema

          protected void initSchema(java.lang.String signature)
                             throws java.io.IOException

      Deprecated.
      Methods to get the column family schema from Cassandra
      Throws:
        `java.io.IOException`

    - #### cfdefToString

          protected static java.lang.String cfdefToString(com.datastax.driver.core.TableMetadata cfDef)
                                                   throws java.io.IOException

      Deprecated.
      convert CfDef to string
      Throws:
        `java.io.IOException`

    - #### cfdefFromString

          protected static org.apache.cassandra.hadoop.pig.TableInfo cfdefFromString(java.lang.String st)
                                                                              throws java.io.IOException,
                                                                                     java.lang.ClassNotFoundException

      Deprecated.
      convert string back to CfDef
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getQueryMap

          public static java.util.Map<java.lang.String,java.lang.String> getQueryMap(java.lang.String query)
                                                                              throws java.io.UnsupportedEncodingException

      Deprecated.
      decompose the query to store the parameters in a map
      Throws:
        `java.io.UnsupportedEncodingException`

    - #### nullToBB

          public java.nio.ByteBuffer nullToBB()

      Deprecated.

    - #### getOutputFormat

          public org.apache.hadoop.mapreduce.OutputFormat getOutputFormat()
                                                                   throws java.io.IOException

      Deprecated.
      output format
      Specified by:
        `getOutputFormat` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### cleanupOnFailure

          public void cleanupOnFailure(java.lang.String failure,
                                       org.apache.hadoop.mapreduce.Job job)

      Deprecated.
      Specified by:
        `cleanupOnFailure` in interface `org.apache.pig.StoreFuncInterface`

    - #### cleanupOnSuccess

          public void cleanupOnSuccess(java.lang.String location,
                                       org.apache.hadoop.mapreduce.Job job)
                                throws java.io.IOException

      Deprecated.
      Specified by:
        `cleanupOnSuccess` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### getPartitionKeys

          public java.lang.String[] getPartitionKeys(java.lang.String location,
                                                     org.apache.hadoop.mapreduce.Job job)
                                              throws java.io.IOException

      Deprecated.
      return partition keys
      Specified by:
        `getPartitionKeys` in interface `org.apache.pig.LoadMetadata`
      Throws:
        `java.io.IOException`

    - #### checkSchema

          public void checkSchema(org.apache.pig.ResourceSchema schema)
                           throws java.io.IOException

      Deprecated.
      Specified by:
        `checkSchema` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### getStatistics

          public org.apache.pig.ResourceStatistics getStatistics(java.lang.String location,
                                                                 org.apache.hadoop.mapreduce.Job job)

      Deprecated.
      Specified by:
        `getStatistics` in interface `org.apache.pig.LoadMetadata`

    - #### getInputFormat

          public org.apache.hadoop.mapreduce.InputFormat getInputFormat()
                                                                 throws java.io.IOException

      Deprecated.
      Specified by:
        `getInputFormat` in class `org.apache.pig.LoadFunc`
      Throws:
        `java.io.IOException`

    - #### relToAbsPathForStoreLocation

          public java.lang.String relToAbsPathForStoreLocation(java.lang.String location,
                                                               org.apache.hadoop.fs.Path curDir)
                                                        throws java.io.IOException

      Deprecated.
      Specified by:
        `relToAbsPathForStoreLocation` in interface `org.apache.pig.StoreFuncInterface`
      Throws:
        `java.io.IOException`

    - #### relativeToAbsolutePath

          public java.lang.String relativeToAbsolutePath(java.lang.String location,
                                                         org.apache.hadoop.fs.Path curDir)
                                                  throws java.io.IOException

      Deprecated.
      Overrides:
        `relativeToAbsolutePath` in class `org.apache.pig.LoadFunc`
      Throws:
        `java.io.IOException`

    - #### setUDFContextSignature

          public void setUDFContextSignature(java.lang.String signature)

      Deprecated.
      Overrides:
        `setUDFContextSignature` in class `org.apache.pig.LoadFunc`

    - #### setStoreFuncUDFContextSignature

          public void setStoreFuncUDFContextSignature(java.lang.String signature)

      Deprecated.
      StoreFunc methods
      Specified by:
        `setStoreFuncUDFContextSignature` in interface `org.apache.pig.StoreFuncInterface`

    - #### setConnectionInformation

          protected void setConnectionInformation()
                                           throws java.io.IOException

      Deprecated.
      set hadoop cassandra connection settings
      Throws:
        `java.io.IOException`

    - #### getFullyQualifiedClassName

          protected java.lang.String getFullyQualifiedClassName(java.lang.String classname)

      Deprecated.
      get the full class name

Copyright © 2018 The Apache Software Foundation